<?php
include_once(_DIR_TO_CLASS.'/c_page.php') ;
class c_page_cab_db extends c_page
{ public $title='Проверка БД' ;
  function check_access(){return(1);}
  var $no_view_in_setting_right=1 ;

 function body()
 {   //$this->page_title('Проверка БД') ;
     $this->CMD_check_setting() ;
     $this->CMD_check_db() ;
 }

 function CMD_check_setting()
 { ?><h2>Проверка системы</h2><?
   include_once(_DIR_TO_MODULES.'/engine/i_setup.php') ;
   SETUP()->check_setting_and_log()  ;
 }

 function CMD_check_db()
 {reboot_engine() ;
  $cnt_sql_cmd=0 ;
  include_once(_DIR_EXT.'/db/i_table_checked.php') ;
  ?><h2>Проверка структуры объектных таблиц</h2><?
  ?><form><table class=table_checked><?
   $options=array('no_update_descr_tables'=>1,
                  'no_show_button'=>1,
                  'show_in_outer_table'=>1,
                  'no_check_not_used_field'=>1,
                  'no_check_type_fields'=>1
                 );
   if (_sizeof($_SESSION['descr_obj_tables'])) foreach ($_SESSION['descr_obj_tables'] as $obj) $cnt_sql_cmd+=table_checked($obj->pkey,$options) ;
    if ($cnt_sql_cmd) {?><tr><td colspan=2><button class="button v2" cmd="db/exec_sql_list_cmd">Выполнить выбранные операции</button></td><?}
  ?></table></form><?
  //return(array('no_default_panel'=>1)) ;
 }


}

?>
